apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    name: research
    namespace: emblem
  spec:
    ports:
    - nodePort: 32039
      port: 26966
      protocol: TCP
      targetPort: 26966
    selector:
      app: research
    type: NodePort
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    name: research
    namespace: emblem
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: research
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        labels:
          app: research
      spec:
        containers:
        - env:
          - name: DATA_DIR
            value: /themblem/research/data
          image: registry.gitlab.com/euphon/themblem:research-90f2f8b
          imagePullPolicy: Always
          name: research
          ports:
          - containerPort: 26966
            name: http
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /themblem/research/data
            name: data
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: regcred
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - hostPath:
            path: /data/emblem-research
            type: Directory
          name: data
- apiVersion: networking.k8s.io/v1
  kind: Ingress
  metadata:
    annotations:
      traefik.ingress.kubernetes.io/router.tls.certresolver: le
    name: research
    namespace: emblem
  spec:
    ingressClassName: traefik
    rules:
    - host: research.themblem.com
      http:
        paths:
        - backend:
            service:
              name: research
              port:
                number: 26966
          path: /
          pathType: Prefix
    tls:
    - hosts:
      - research.themblem.com
kind: List
metadata:
  resourceVersion: ""
